id: wordpress-coblocks

info:
  name: Page Builder Gutenberg Blocks – CoBlocks Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/coblocks/
  metadata:
    plugin_namespace: coblocks
    wpscan: https://wpscan.com/plugin/coblocks
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/coblocks/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/coblocks.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402205a686bd8b042d99b61d57ec38ea8bdca8dc72669f9b28c2fc48a1c442e35a91b022070e3467d0cf62ce70d372632f125ba09bd2347d10d0cbeef2281df1bbbbaabae:922c64590222798bb761d5b6d8e72950